View Issue Details

IDProjectCategoryView StatusLast Update
00304032.x IDE BugsRoom EditorPublic2019-09-05 13:57
ReporterStewart BishopAssigned ToSteven Campbell 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.4Fixed in Version2.2.4 
Summary0030403: Room Editor: Visible indicator doesn't work as expected for child layers
DescriptionIf you have a group which isn't set to be visible and then change the visible status of a child layer this will take no effect within the room editor but it actually will take effect in game. This can be easily seen by making the group not visible, changing the visible status of a layer once and then dragging that layer out of the group.

This will in turn cause your layer to now appear again but the visible status of the layer is still shown as not visible. Which causes a disconnect with what you see in the room and what is shown in game.
Steps To Reproduce1) Import the project
2) Run it
3) Open the room editor
4) Click on the eye for Tiles_1
5) See that the IDE still says the layer is not visible
6) Run the game
7) See that your layer is now not shown
8) Within the room editor click on the eye for Tiles_1 again so it should be visible
9) Drag Tiles_1 out of the group
10) See that the layer now shows in the IDE but is still shown as not visible
TagsIDE, RoomEditor
2.x IDE Found In2.2.2.381
2.x Runtime Found In2.2.2.293
2.x IDE Verified In2.2.4.445
2.x Runtime Verified In2.2.4.354

Relationships

related to 0031320 ClosedSteven Campbell Compiling: layer_get_visible() returns wrong values in-game for child layers inside invisible folders 

Activities

Stewart Bishop

2019-01-09 16:00

Developer  

layer_visible_problem.7z (87,229 bytes)

Steven Campbell

2019-09-04 14:48

Manager   ~0064716

Fixed in Red IDE/GitHub Pull Request 4845
Git Id: 16b11efd02f9290a9b418cdbacc6956fd670efbc

Dan

2019-09-04 15:19

Adminstrator   ~0064721

IDE 445+

Scott Dunbar

2019-09-05 13:57

Adminstrator   ~0064729

Verified fixed - layer visibility consistently passed to runner